CURLOPT_SASL_IR(3)

NAME
CURLOPT_SASL_IR - enable sending initial response in first packet

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_SASL_IR, long first);

DESCRIPTION
Pass a long. If the value is 1, curl will send the initial response to the server in the first authentication packet in order to reduce the number of ping pong requests. Only applicable to supporting SASL authentication mechanisms and to the IMAP, POP3 and SMTP protocols. Note: Whilst IMAP supports this option there is no need to explicitly set it, as libcurl can determine the feature itself when the server supports the SASL-IR CAPABILITY.

DEFAULT
0

PROTOCOLS
IMAP, POP3 and SMTP

EXAMPLE
TODO

AVAILABILITY
Added in 7.31.0

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_MAIL_AUTH(3), CURLOPT_MAIL_FROM(3),